This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 846087 - Some selftests are disabled with python3
Some selftests are disabled with python3
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: python-nose (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Luke Macken
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-06 15:17 EDT by Dave Malcolm
Modified: 2016-09-19 22:43 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-19 00:57:10 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dave Malcolm 2012-08-06 15:17:27 EDT
Description of problem:
I disabled some selftests when rebuilding against python 3.3, as per:

# Various selftests fail with Python 3.3b1; skip them for now using "-e"
# (reported upstream as https://github.com/nose-devs/nose/issues/538 )
%{__python3} selftest.py \
    -e nose.plugins.errorclass \
    -e nose.plugins.plugintest \
    -e imported_tests.rst \
    -e test_withid_failures.rst \
    -e selector_plugin.rst \
    -e test_traverse_namespace \
    -v

Toshio asked me to file a bug so that we don't forget to re-enable them when these failures are fixed, hence this bug.

The commit in question was:
http://pkgs.fedoraproject.org/cgit/python-nose.git/commit/?id=83c612bd55a86e71d759036872dc685a8532139c
Comment 1 Toshio Ernie Kuratomi 2012-09-10 12:33:05 EDT
With 3.3.0-0.4.rc1.fc19 and nose-1.2.0, the following test cases pass: 

* imported_tests.rst
* selector_plugin.rst

Removed them from the exclusion list.  The rest still fail.

Of the failing tests, test_traverse_namespace looks like it is a genuine bug that causes a nose feature to fail.  The others look like changes to what python3 outputs at various times and their failures are probably not serious.
Comment 2 Fedora End Of Life 2013-04-03 11:57:45 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 3 Fedora Update System 2013-04-09 18:49:07 EDT
python-nose-1.3.0-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/python-nose-1.3.0-1.fc18
Comment 4 Fedora Update System 2013-04-09 18:49:28 EDT
python-nose-1.3.0-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/python-nose-1.3.0-1.fc19
Comment 5 Fedora Update System 2013-04-10 11:20:25 EDT
Package python-nose-1.3.0-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing python-nose-1.3.0-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-5326/python-nose-1.3.0-1.fc19
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2013-04-19 00:57:12 EDT
python-nose-1.3.0-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2013-04-20 15:50:47 EDT
python-nose-1.3.0-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.